org.apache.ode.bpel.engine.cron

## Class CronScheduler

- java.lang.Object
- - org.apache.ode.bpel.engine.cron.CronScheduler

-     public class CronScheduler
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `CronScheduler.TerminationListener`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CronScheduler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancelProcessCronJobs(javax.xml.namespace.QName pid, boolean undeployed)`
    `void` | `refreshSystemCronJobs(SystemSchedulesConfig systemSchedulesConf)`
    `CronScheduler.TerminationListener` | `schedule(CronExpression cronExpression, java.lang.Runnable runnable, Scheduler.JobDetails runnableDetails, CronScheduler.TerminationListener terminationListener)`
    `void` | `scheduleProcessCronJobs(javax.xml.namespace.QName pid, ProcessConf pconf)`
    `void` | `setContexts(Contexts _contexts)`
    `void` | `setScheduledTaskExec(java.util.concurrent.ExecutorService taskExec)`
    `void` | `shutdown()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CronScheduler

          public CronScheduler()

  - ### Method Detail

    - #### setScheduledTaskExec

          public void setScheduledTaskExec(java.util.concurrent.ExecutorService taskExec)

    - #### setContexts

          public void setContexts(Contexts _contexts)

    - #### shutdown

          public void shutdown()

    - #### cancelProcessCronJobs

          public void cancelProcessCronJobs(javax.xml.namespace.QName pid,
                                            boolean undeployed)

    - #### scheduleProcessCronJobs

          public void scheduleProcessCronJobs(javax.xml.namespace.QName pid,
                                              ProcessConf pconf)

    - #### refreshSystemCronJobs

          public void refreshSystemCronJobs(SystemSchedulesConfig systemSchedulesConf)

    - #### schedule

          public CronScheduler.TerminationListener schedule(CronExpression cronExpression,
                                                            java.lang.Runnable runnable,
                                                            Scheduler.JobDetails runnableDetails,
                                                            CronScheduler.TerminationListener terminationListener)